Box = Core.class(Shape)

function Box:init(x, y, color, id)
	self.id = id

	self:setLineStyle(3, 0x000000)
	self:setFillStyle(Shape.SOLID, color, 0.5)
	self:beginPath()
	self:moveTo(0, 0)
	self:lineTo(120, 0)
	self:lineTo(120, 50)
	self:lineTo(0, 50)
	self:closePath()
	self:endPath()
	self:setPosition(x, y)

	-- Create the label and attach it to the shape
    local label = TextField.new(nil, id)
    label:setPosition(self:getWidth()/2 - label:getWidth()/2, self:getHeight()/2 + label:getHeight()/2)
    self:addChild(label)

	stage:addChild(self) -- add everything to the stage

	return self
end
